AMC ne se lance plus (Can't locate Locale/Language.pm)

Added by guillaume chevereau 2 months ago

Depuis peu,
je n'arrive plus à lancer AMC (arch linux, même après réinstallation via pacman).
L'erreur complète est :

Can't locate Locale/Language.pm in @INC (you may need to install the Locale::Language module) (@INC contains: /usr/lib/perl5/5.30/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.30/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.30/core_perl /usr/share/perl5/core_perl) at /usr/lib/AMC/perl/AMC-gui.pl line 43.
BEGIN failed--compilation aborted at /usr/lib/AMC/perl/AMC-gui.pl line 43.

J'ai l'impression qu'il faut que j'installe le module perl Locale/Language.pm, mais je ne sais pas comment procéder...


Replies (2)

RE: AMC ne se lance plus (Can't locate Locale/Language.pm) - Added by guillaume chevereau 2 months ago

Après un rollback à une version antérieur de ma machine virtuelle, je me rends compte que AMC proposait ce message d'alerte :

Locale::Language will be removed from the Perl core distribution in the next major release. Please install it from CPA
Locale::Codes will be removed from the Perl core distribution in the next major release. Please install it from CPAN.

J'imagine que c'est de là que vient le soucis.

RE: AMC ne se lance plus (Can't locate Locale/Language.pm) - Added by guillaume chevereau 2 months ago

Problème résolu.

Il fallait installer les modules Locale:Language et Local:Codes

les commandes sont :

cpan

(pour configurer l'utilitaire d'installation de modules perl)
puis

cpan Locale::Language
cpan Locale::Codes

cf : https://wiki.archlinux.org/index.php/Perl

(1-2/2)